<%@ page import="java.util.*,java.net.URLEncoder,com.maththinking.dbcruiser.*" %>
<% 
   ConfigBean info = ConfigBean.getInstance();
   String contextPath = request.getContextPath();
   String servlet_prefix = info.get("servlet_prefix");
   String jsp_prefix     = info.get("jsp_prefix"); 
   String userid = (String)session.getValue("userid"); 
   if (userid == null) {
       request.getRequestDispatcher(jsp_prefix+"login.jsp").forward(request, response);
       return;
   }   
   String db_name   = (String)session.getAttribute("db_name");
   String browser   = (String)session.getAttribute("browser");
   String tablename = (String)request.getAttribute("tablename");
   String imagePath  = contextPath+jsp_prefix+"images";
   String jspPath  = contextPath+jsp_prefix;
   String servletPath  = contextPath+servlet_prefix;
   String display   = (String)request.getParameter("display");   
   ArrayList scriptList = (ArrayList)request.getAttribute("column_names");
%>
<HTML>
<HEAD>
<link rel=stylesheet href=<%=jspPath%>basic.css>
<% if (browser.indexOf("MSIE") == -1) { %>
       <link rel=stylesheet href=<%=jspPath%>link.css>
<% } else { %>
       <link rel=stylesheet href=<%=jspPath%>query.css>
<% } %>
<SCRIPT Language="JavaScript" SRC="<%=jspPath%>common.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
var count = 0;
var scripts = new Array();

function ScriptName(name) {
   this.name = name;
}

function setScript(name) {
   scripts[count++] = new ScriptName(name);
}
<% if (scriptList != null) {
       for (Iterator scripts = scriptList.iterator() ; scripts.hasNext();) {
            String script = (String)scripts.next();
%>
setScript("<%=script%>");
<%     }
   }
%>
</SCRIPT>
<TITLE>Query Builder: <%=tablename%></TITLE>
</HEAD>

<body background="<%=jspPath%><%= info.get("dbcruiser_bg") %>" OnLoad="initChoiceBox();">
<center>

<% if (display != null) { %>
<FORM NAME="in_form" 
      ACTION="<%=servletPath%>ControlServlet" 
      METHOD=POST>
<INPUT TYPE="hidden" NAME="controller">
<INPUT TYPE="hidden" NAME="ejb">
<INPUT TYPE="hidden" NAME="processing_bar" VALUE="flase">
<INPUT TYPE="hidden" NAME="tablename" VALUE="<%=tablename%>">
<INPUT TYPE="hidden" NAME="display" VALUE="true">
<TABLE BORDER=0>
<TR><TD align=center><nobr>
<font FACE="Arial" color="#0000A0"><b>Table Name:</b></font> <font color=darkgreen><b><%=tablename%></b></font>
</nobr></td></tr>
<TR><TD align=center><nobr>&nbsp;
<% if (Boolean.valueOf(info.get("java_dev")).booleanValue()) { %>
       <%=info.button("javascript:setEJB('false');setAction('GenJavaBean');", "_self", "java_bean", imagePath)%>  
<% } %>  
<%=info.button("javascript:setAction('TableColumnDef');", "_self", "column_definition", imagePath)%>
<%=info.button("javascript:setAction('AdvancedQuery');", "_self", "query_builder", imagePath)%>
<%=info.button("javascript:setAction('TableRowCount');", "_self", "row_count", imagePath)%>
<%=info.button("javascript:setAction('IndexInfo');", "_self", "indexes", imagePath)%>
<%=info.button("javascript:popUpMainMenu();", "_self", "main_menu", imagePath)%>   
<%=info.button("javascript:closeTWA();", "_self", "close", imagePath)%>
</nobr></TD></TR><TR><TD align=center><nobr>&nbsp;
<% if (Boolean.valueOf(info.get("java_dev")).booleanValue()) { %> 
       <%=info.button("javascript:setEJB('true');setAction('GenJavaBean');", "_self", "entity_bean", imagePath)%> 
<% } %> 
<%=info.button("javascript:setAction('ViewTable');", "_self", "quick_view", imagePath)%>  
<%=info.button("javascript:setAction('DDL');", "_self", "ddl", imagePath)%>
<%=info.button("javascript:setAction('InsertRow');", "_self", "insert_row", imagePath)%> 
<%=info.button("javascript:setAction('Keys');", "_self", "primary_keys", imagePath)%>
<%=info.button("javascript:setAction('ForeignKeys');", "_self", "foreign_keys", imagePath)%>
<%=info.button("javascript:setAction('TablePrivileges');", "_self", "privileges", imagePath)%>

</nobr></td></tr>
</TABLE>
</FORM>
<SCRIPT LANGUAGE="JavaScript">
function setEJB(flag){document.in_form.ejb.value = flag;}
function setAction(act) {
   if (act == "ViewTable") {
		if (!confirm("View the whole table (not good for large tables)?\n\nNot sure of the table size? Use \"Row Count\" button to find out.\n\nYou may use \"Column Definitions\", \"Query Builder\" or \"SQL Work Area\"\n to view only columns or rows you want.")) {
		} else {
		    doAction(act);
		}
   } else {
	    doAction(act);
   }
}

function doAction(act) {
   if (act == "IndexInfo" || act == "ViewTable" | act == "TableRowCount") {
	   <%=info.processingit(browser, servletPath)%>
   }
   document.in_form.controller.value = act;
   return document.in_form.submit();
}

</SCRIPT>
<% } %> 
<font FACE="Arial" color=blue size=+1><b>Query Builder</b></font>  
<FORM NAME="choiceForm"
      METHOD="POST"
      ACTION="<%=servletPath%>ControlServlet"
      OnSubmit="return verifyQuery();">
<INPUT TYPE="hidden" NAME="controller" value="SQLWork">
<INPUT TYPE="hidden" NAME="tablename" VALUE="<%=tablename%>">
<INPUT TYPE="hidden" NAME="tablename_qb" VALUE="<%=tablename%>">
<INPUT TYPE="hidden" NAME="statement">
<INPUT TYPE="hidden" NAME="processing_bar" VALUE="flase">
<INPUT TYPE="hidden" NAME="show_statement" value="true">
<% if (display != null) { %>
       <INPUT TYPE="hidden" NAME="display" VALUE="true">
<% } %>
<nobr>
<font FACE="Arial" color=#0000A0>Display Size:</font>&nbsp;<SELECT NAME="display_rows"><option VALUE="5">5 
                                                 <option VALUE="10">10 <option VALUE="15">15 
                                                 <option VALUE="20">20 <option VALUE="30">30
                                                 <option VALUE="40">40 <option VALUE="50">50
                                                 <option VALUE="75">75 <option VALUE="100">100
                                                 <option VALUE="150">150 <option VALUE="200">200
                                                 </SELECT>
<%=info.button(jspPath+"advanced_query_help.jsp", "_blank", "help", imagePath)%> 
<%=info.button("javascript:clearAll();", "_self", "clear_all", imagePath)%> 
<%=info.button("javascript:submitQuery();", "_self", "execute_query", imagePath)%>
</nobr>
<p>
<TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0 HSPACE=0 VSPACE=0>
<tr>
<td align=center><b><font FACE="Arial" color=darkgreen>SELECT</font></b></td>
<td>&nbsp;</td>
<td align=center><b><font FACE="Arial" color=#0000A0>Table Columns</font></b></td>
<td>&nbsp;</td>
<td align=center><b><font FACE="Arial" color=darkgreen>ORDER BY</font></b></td>
</tr>
<tr>
<td align=center valign="top"> 
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>
       <select multiple name="selected" size=14 style="width:175" onClick="uncheckRT();">
<% } else { %>
       <select multiple name="selected" size=12 onClick="uncheckRT();">
<% } %>
<option>------------------------------------- 
</select>
</td>
<td width=57 valign=middle align=center>
<%=info.button2("javascript:choose(document.choiceForm.available, document.choiceForm.selected);", "_self", "left_arrow", imagePath, "Select colums")%>
<%=info.button2("javascript:selectAll(document.choiceForm.available, document.choiceForm.selected);", "_self", "all_left_arrow", imagePath, "Select all columns")%>
<%=info.button2("javascript:removeBox(document.choiceForm.selected);", "_self", "right_arrow", imagePath, "Remove coloum(s) from selected list")%>
<%=info.button2("javascript:removeAllBox(document.choiceForm.selected);", "_self", "all_right_arrow", imagePath, "Remove all coloums from selected list")%>
<%=info.button2("javascript:MoveupBox(document.choiceForm.selected);", "_self", "up_arrow", imagePath, "Move collumns up")%>
<%=info.button2("javascript:MovedownBox(document.choiceForm.selected);", "_self", "down_arrow", imagePath, "Move collumns down")%>
</td>
<td align=center valign="top">
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>
       <select multiple name="available" size=14 style="width:191" onClick="uncheckSR();">
<% } else { %>
       <select multiple name="available" size=12 onClick="uncheckSR();">
<% } %>
<option>---------------------------------------- 
</select>
</td>
<td width=57 valign=middle align=center>
<%=info.button2("javascript:choose(document.choiceForm.available, document.choiceForm.orderby);", "_self", "r_right_arrow", imagePath, "Select columns to Order By")%>
<%=info.button2("javascript:selectAll(document.choiceForm.available, document.choiceForm.orderby);", "_self", "r_all_right_arrow", imagePath, "Select all columns to Order By")%>
<%=info.button2("javascript:removeBox(document.choiceForm.orderby);", "_self", "r_left_arrow", imagePath, "Remove columns from Order by list")%>
<%=info.button2("javascript:removeAllBox(document.choiceForm.orderby);", "_self", "r_all_left_arrow", imagePath, "Remove all columns from Order by list")%>
<%=info.button2("javascript:MoveupBox(document.choiceForm.orderby);", "_self", "r_up_arrow", imagePath, "Move collumns up")%>
<%=info.button2("javascript:MovedownBox(document.choiceForm.orderby);", "_self", "r_down_arrow", imagePath, "Move collumns down")%>
</td>
<td align=center valign="top">
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>
       <select multiple name="orderby" size=14 style="width:175" onClick="uncheckST();">
<% } else { %>
       <select multiple name="orderby" size=12 onClick="uncheckST();">
<% } %>
<option>------------------------------------- 
</select>
</td>
</tr>
<!-- <tr><td colspan=5>

<nobr>&nbsp;<IMG SRC="<%=jspPath%>bullet.gif" WIDTH="10" HEIGHT="10" BORDER=0 ALT="">&nbsp;
<font color=#0000A0 size=-1>Hold down Ctrl or Shift key to select multiple columns.</font></nobr>
<img src=images/qb_down_arrow.gif border=0>
</td></tr> -->
<tr>
<td valign=bottom>&nbsp;<font FACE="Arial" color=darkgreen><B>WHERE</B></font></td>
<td>&nbsp;
</td>
<td align=center height=45>
<%=info.button2("javascript:getColumnNames();", "_self", "qb_down_arrow", imagePath, "")%>
</td>
<td>&nbsp;</td>
<td align=right valign=bottom><nobr>
<% if (browser != null && (browser.indexOf("MSIE") == -1)) { %>&nbsp;<% } %>
<%=info.button("javascript:clearWhere();", "_self", "clear_where", imagePath)%>
<!-- <%=info.button("javascript:getColumnNames();", "_self", "get_column_names", imagePath)%> -->
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>&nbsp;<% } %>
</nobr></td>
</tr>
<tr><td align=center colspan=5>
<% if (browser.indexOf("MSIE") == -1) { %>
       <TEXTAREA COLS="83" ROWS="3" NAME="where" WRAP="SOFT"></TEXTAREA>
<% } else { %>
       <TEXTAREA COLS="110" ROWS="4" NAME="where" WRAP="SOFT"></TEXTAREA>
<% } %>
</td></tr>
<tr><td align=center colspan=5><nobr>
<%=info.button2("javascript:append('= ');", "_self", "equal_sign", imagePath, "")%>
<%=info.button2("javascript:append('"+"\\\'"+"');", "_self", "single_quote", imagePath, "")%>
<%=info.button2("javascript:append('< ');", "_self", "less_than", imagePath, "")%>
<%=info.button2("javascript:append('<= ');", "_self", "less_than_equal", imagePath, "")%>
<%=info.button2("javascript:append('> ');", "_self", "greater_than", imagePath, "")%>
<%=info.button2("javascript:append('>= ');", "_self", "greater_than_equal", imagePath, "")%>
<%=info.button2("javascript:append('+ ');", "_self", "plus", imagePath, "")%>
<%=info.button2("javascript:append('- ');", "_self", "minus", imagePath, "")%>
<%=info.button2("javascript:append('* ');", "_self", "star", imagePath, "")%>
<%=info.button2("javascript:append('/ ');", "_self", "slash", imagePath, "")%>
<%=info.button2("javascript:append('% ');", "_self", "percent", imagePath, "")%>
<%=info.button2("javascript:append('_ ');", "_self", "under_score", imagePath, "")%>
<%=info.button2("javascript:append('(');", "_self", "left_p", imagePath, "")%><%=info.button2("javascript:append(') ');", "_self", "right_p", imagePath, "")%>
<%=info.button2("javascript:append('<> ');", "_self", "not_equal", imagePath, "")%>
<%=info.button2("javascript:append('!= ');", "_self", "not_equal2", imagePath, "")%>
<%=info.button2("javascript:append('AND ');", "_self", "and", imagePath, "")%>
<%=info.button2("javascript:append('OR ');", "_self", "or", imagePath, "")%>
<%=info.button2("javascript:append('IN ');", "_self", "in", imagePath, "")%>
<%=info.button2("javascript:append('LIKE ');", "_self", "like", imagePath, "")%>
<%=info.button2("javascript:append('EXISTS ');", "_self", "exists", imagePath, "")%>
<%=info.button2("javascript:append('IS NULL ');", "_self", "is_null", imagePath, "")%>
<%=info.button2("javascript:append('IS NOT NULL ');", "_self", "is_not_null", imagePath, "")%>
</nobr>
</td></tr>
</table>
</form>
<p>
<table border=0 width=680><tr>
<td><%=info.copyrightStr()%></td>
<td align=right><%=info.button("javascript:printPage();", "_self", "printpage", imagePath)%></td>
</tr></table>
</center>
<%=info.getAQScripts(contextPath, browser, servletPath)%>
<SCRIPT LANGUAGE="JavaScript">
var aqIndex = getCookie("aqIndex")?getCookie("aqIndex"):"0";
document.choiceForm.display_rows.selectedIndex = aqIndex;
</SCRIPT>
</body>
</html>