<%@ page import="java.util.*,com.maththinking.dbcruiser.*" %>
<jsp:useBean id="appBean" scope="application" class="com.maththinking.dbcruiser.AppBean" />
<jsp:setProperty name="appBean" property="*" />
<% 
   ConfigBean info = ConfigBean.getInstance();
   String contextPath = request.getContextPath();
   String servlet_prefix = info.get("servlet_prefix");
   String servletPath  = contextPath+servlet_prefix;
   String jsp_prefix  = info.get("jsp_prefix");
   String jspPath = contextPath+jsp_prefix;
   String userid = (String)session.getValue("userid");    
   if (userid == null) {
       request.getRequestDispatcher(jsp_prefix+"login.jsp").forward(request, response);
       return;
   } 
   String db_product = (String)session.getValue("db_product");
   String browser    = (String)session.getAttribute("browser");
   String imagePath  = contextPath+jsp_prefix+"images";
%>
<html>
<head>
<link rel=stylesheet href=<%=jspPath%>basic.css>
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>
       <link rel=stylesheet href=<%=jspPath%>input.css>
<% } %>
<title>List Tables</title>
<SCRIPT Language="JavaScript" SRC="<%=jspPath%>common.js"></SCRIPT>
</head>
<base target=table_out>
<body background="<%=jspPath%><%= info.get("dbcruiser_bg") %>">
<center>

<FORM NAME="in_form" 
      ACTION="<%=servletPath%>ControlServlet"
      METHOD="POST" >
<INPUT TYPE="hidden" NAME="controller" value="TableList">
<INPUT TYPE="hidden" NAME="processing_bar" value="true">
<table border=0><tr><td height=28>
       <font FACE="Helvetica,Arial" size=+2 color="#0000CC"><b>Explore Tables</b></font>
</td></td></table>
<!-- </td></tr>
<tr><td height=2><font size=0>&nbsp;</td></tr> -->
<TABLE BORDER=0 align=center>
<TR><TD>
<table border=0 cellpadding=0 cellspacing=0 vspace=0 width=100%><tr>
<td align=left><nobr>
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>
	<b>Schema:</b>
    <select name="schema" style="width:240"><option value="all">ALL <%= appBean.schemaList(request) %></select> 
	</nobr></td>
   <td align=right><nobr>
   &nbsp;<b>Display Size:</b> 
<% } else { %>
    <font FACE="Arial" color="#0000A0"><b>Schema:</b></font>
    <select name="schema"><option value="all">ALL <%= appBean.schemaList(request) %></select>
	</nobr></td>
    <td align=right><nobr>
    &nbsp;<font FACE="Arial" color="#0000A0"><b>Display Size:</b></font>
<% } %>
  
        <SELECT NAME="display_rows"><option VALUE="5">5</option>
                                    <option VALUE="10">10</option>
                                    <option VALUE="15">15</option>
                                    <option VALUE="20">20</option>
                                    <option VALUE="30">30</option>
                                    <option VALUE="40">40</option>
                                    <option VALUE="50">50</option>
                                    <option VALUE="75">75</option>
                                    <option VALUE="100">100</option>
                                    <option VALUE="150">150</option>
                                    <option VALUE="200">200</option>
        </SELECT>
        
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>
	    <b>Type:</b>
        <select name="type" style="width:130"><option value="all">ALL <%= appBean.typeList(request) %></select>
<% } else { %>
	    <font FACE="Arial" color="#0000A0"><b>Type:</b></font>
        <select name="type"><option value="all">ALL <%= appBean.typeList(request) %></select>
<% } %>
        </nobr>
</nobr></td>   
</tr></table>
</TD></TR>
<TR><TD valign=BASELINE>
<table border=0 cellpadding=0 cellspacing=0 vspace=0 width=100%><tr valign=botttom>
<td valign=botttom align=left><nobr>	
<% if (browser != null && (browser.indexOf("MSIE") != -1)) { %>
	<b>Catalog:</b>
    <select name="catalog" style="width:240"><option value="all">ALL <%= appBean.catalogList(request) %></select> 
	</nobr></td>
    <td valign=botttom align=right><nobr>
    &nbsp;&nbsp;<b>Pattern:</b>
    <INPUT TYPE="text" SIZE="23" NAME="pattern" VALUE=> 
	<%=info.button("javascript:checkFields();", "_self", "get_tables", imagePath)%>
<% } else { %>
	<font FACE="Arial" color="#0000A0"><b>Catalog:</b></font> 
    <select name="catalog"><option value="all">ALL <%= appBean.catalogList(request) %></select>  
	</nobr></td>
    <td align=right><nobr>
    &nbsp;&nbsp;<font FACE="Arial" color="#0000A0"><b>Pattern:</b></font>
    <INPUT TYPE="text" SIZE="16" NAME="pattern" VALUE=> 
	<%=info.button("javascript:checkFields();", "_self", "ns_get_tables", imagePath)%>
<% } %>

</nobr></td>
</tr></table>
</TD></TR>
</TABLE>
</FORM>
</center>

<SCRIPT LANGUAGE="JavaScript">

schemaBase = document.in_form.schema;
typeBase   = document.in_form.type;
rtdBase    = document.in_form.display_rows;
catalogBase = document.in_form.catalog;

function checkFields()
{
    var today   = new Date()
    var expires = new Date()
    expires.setTime(today.getTime() + 60*60*24*365*1000)
    setCookie("schemaIndex", schemaBase.selectedIndex,expires);
    setCookie("typeIndex",   typeBase.selectedIndex,expires);
    setCookie("rtdIndex",    rtdBase.selectedIndex,expires);
    setCookie("pattern",     document.in_form.pattern.value,expires);
    setCookie("catalogIndex", catalogBase.selectedIndex,expires);
	<%=info.processingit(browser, servletPath)%>
    return document.in_form.submit();
}

var schemaIndex = getCookie("schemaIndex")?getCookie("schemaIndex"):"0";
if (schemaIndex < schemaBase.length) {
    schemaBase.selectedIndex = schemaIndex;
}
var typeIndex   = getCookie("typeIndex")?getCookie("typeIndex"):"0";
if (typeIndex < typeBase.length) {
    typeBase.selectedIndex   = typeIndex;
}
var rtdIndex    = getCookie("rtdIndex")?getCookie("rtdIndex"):"0";
if (rtdIndex < rtdBase.length) {
    rtdBase.selectedIndex = rtdIndex;
}
var catalogIndex = getCookie("catalogIndex")?getCookie("catalogIndex"):"0";
if (catalogIndex < catalogBase.length) {
    catalogBase.selectedIndex = catalogIndex;
}
var pattern     = getCookie("pattern")?getCookie("pattern"):"";
document.in_form.pattern.value = pattern;

</SCRIPT>

</body>
</html>
